#ifndef _UTIL_H
#define _UTIL_H

#include "common.h"

//files&dirs
gint dir_exists(gchar *dir);
gint dir_create(gchar *name);

gint file_exists(gchar *file);
gint file_create(gchar *file);

gchar *fullname(gchar *dir, gchar *file);

//configs
void drop_conf(gchar *file);
void clear_sect_conf(gchar *file,gchar *section);
void clear_key_conf(gchar *file,gchar *key);

void write_conf(gchar *file,gchar *path,gchar *value);
void write_conf(gchar *file,gchar *path,gint value);
void write_conf_bool(gchar *file,gchar *path,gboolean value);

void read_conf(gchar *file,gchar *path,gchar *&value);
void read_conf(gchar *file,gchar *path,gint &value);
void read_conf_bool(gchar *file,gchar *path,gboolean &value);

//strings
gchar *str_replace(gchar *str,gchar *rem,gchar *ins);

#endif
