#ifndef _COMMON_H
#define _COMMON_H

#include <glib.h>
#include <gdk/gdkkeysyms.h>
#include <gnome.h>

#include "gtkeditor/gtkeditor.h"
#include "highlight.h"
#include "interface.h"
#include "support.h"

//dirs
extern gchar *home;

//widgets
extern GtkWidget *mainapp;

extern GtkWidget *mvpaned;
extern GtkWidget *c_list, *o_list, *e_list;

//menu items
extern GtkWidget *saveproj_item, *saveasproj_item, *savefile_item, *saveasfile_item, *saveallfiles_item, *closefile_item;

extern GtkWidget *proj_item, *edit_item, *search_item;

//tool buttons
extern GtkWidget *saveproj_btn, *addf_btn, *remf_btn;

void init_interface(void);
void up_interface(void);
void close_interface(void);

#endif

