#ifndef _PREFS_H
#define _PREFS_H

#include <gnome.h>

struct _CppCommands{
	gchar *make;
	gchar *compile;
	gchar *debug;
	gchar *execute;
};
typedef _CppCommands CppCommands;

class Preferences{
  private:
	gchar *file;
  public:
	gchar *defaultdir, *lastname, *lastdir;
	gchar *name, *mail;
	CppCommands def_cppcmd;

	Preferences(void);
	Preferences(const Preferences &pr);
	~Preferences();

	static gboolean check(void);
	void defaults(void);
	void load(void);
	void load(GtkWidget *prbox);
	void save(void);
	void save(GtkWidget *prbox);
};

extern Preferences *prefs;

#endif
